#include <linux/ioctl.h>

//Command used by ioctl system call
#define UNO_DIO_IOC_MAGIC   'e'  // use 'd' as magic number

#define DIO_READ_PORT_BYTE      _IO(UNO_DIO_IOC_MAGIC, 1)
#define DIO_WRITE_PORT_BYTE     _IO(UNO_DIO_IOC_MAGIC, 2)
#define DIO_READ_BIT            _IO(UNO_DIO_IOC_MAGIC, 3)
#define DIO_WRITE_BIT           _IO(UNO_DIO_IOC_MAGIC, 4)
#define DIO_GET_DO_BYTE         _IO(UNO_DIO_IOC_MAGIC, 5)
#define DIO_GET_DO_BIT          _IO(UNO_DIO_IOC_MAGIC, 6)
#define COUNTER_TIMER_START     _IO(UNO_DIO_IOC_MAGIC, 7)
#define COUNTER_EVENT_START     _IO(UNO_DIO_IOC_MAGIC, 8)
#define COUNTER_EVENT_READ      _IO(UNO_DIO_IOC_MAGIC, 9)
#define COUNTER_FREQ_START      _IO(UNO_DIO_IOC_MAGIC, 10)
#define COUNTER_FREQ_READ       _IO(UNO_DIO_IOC_MAGIC, 11)
#define COUNTER_PULSE_START     _IO(UNO_DIO_IOC_MAGIC, 12)
#define COUNTER_RESET           _IO(UNO_DIO_IOC_MAGIC, 13)
#define COUNTER_CLOCK_CFG       _IO(UNO_DIO_IOC_MAGIC, 14)
#define COUNTER_CFG             _IO(UNO_DIO_IOC_MAGIC, 15)
#define COUNTER_GATE_SET        _IO(UNO_DIO_IOC_MAGIC, 16)
#define COUNTER_MONITOR         _IO(UNO_DIO_IOC_MAGIC, 17)
#define WRITE_PORT_BYTE         _IO(UNO_DIO_IOC_MAGIC, 18)
#define READ_PORT_BYTE          _IO(UNO_DIO_IOC_MAGIC, 19)
#define EVENT_CFG               _IO(UNO_DIO_IOC_MAGIC, 20)
#define EVENT_ENABLE            _IO(UNO_DIO_IOC_MAGIC, 21)
#define LED_ENABLE              _IO(UNO_DIO_IOC_MAGIC, 22)
#define BUZZER_ENABLE           _IO(UNO_DIO_IOC_MAGIC, 23)
#define GETEVENT                _IO(UNO_DIO_IOC_MAGIC, 24)
#define GETPOWER                _IO(UNO_DIO_IOC_MAGIC, 25)
#define LED_TOGGLE              _IO(UNO_DIO_IOC_MAGIC, 26)
#define DIO_TYPE		_IO(UNO_DIO_IOC_MAGIC, 27)

#define UNO_DIO_IOC_MAXNR   27

